<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;
//Fecha de inactivación

//Si plan es de obsequio se inactiva en 3 meses
if($plan_sms==6):
    echo $fecha_inac=date("Y-m-01",strtotime($fechaClienteIni."+ 4 month"));
//Si es diferente a obsequio se inactiva en 12 meses
else: 
    $fecha_inac=date("Y-m-01",strtotime($fechaClienteIni."+ 12 month"));
endif;

//Periodo para cerrar mes
if($sis_mes==1):
    $mes_periodo=12;
    $ano_periodo=$sis_ano-1;
else:
    $mes_periodo=$sis_mes-1;
    $ano_periodo=$sis_ano;
endif;

$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact'";
$conGrupo = $bdFact->consulta($sqlGrupo);
$resGrupo = $bdFact->fetch_assoc($conGrupo);
$comentario = utf8_decode($resGrupo['nom_cli']);


$sqlGrupo = "SELECT idemp, nom_empresa FROM empresa WHERE idemp=$empresa_sms ORDER BY nom_empresa";
$conGrupo = $bdSMS->consulta($sqlGrupo);
$resGrupo = $bdSMS->fetch_array($conGrupo);
$nom_empresa = $resGrupo['nom_empresa'];
                                
                            

if(isset($_POST['login_sms'])):
	$login_sms = strtoupper(utf8_decode($_POST['login_sms']));
else:
	$login_sms = '';
endif;


$ramdon = mt_rand(0,9999);

$pass_visible = ($login_sms.".".$ramdon);
$pass_sms = md5($pass_visible);
$usu_gestor = utf8_decode($ges_nom);

//Valido si no hay empresas parecidas
$sqlCliente="INSERT INTO cliente(login, pass, disponibles, empresa, plan, gratis, fechaClienteIni, fechaClienteFin, id_fk_em, activo, fecha_crea, creado_por, pass_visible) VALUES ('$login_sms', '$pass_sms', '$disponibles_sms', '$nom_empresa', '$plan_sms', '$gratis_sms', '$fecha_hoy', '$fecha_inac', '$empresa_sms', '$activo_sms', '$fecha_hoy', '$usu_gestor', '$pass_visible')";
$inserCliente = $bdSMS->consulta("$sqlCliente");	
$texto = 'Ingresó el cliente '.$login_sms.' correctamente en la base de datos';

$sqlMaxCli="SELECT MAX(idcliente) as idcliente FROM cliente WHERE login='$login_sms'";
$conMaxCli = $bdSMS->consulta("$sqlMaxCli");
$resMaxCli = $bdSMS->fetch_array($conMaxCli);
$idcliente = $resMaxCli['idcliente'];

?>
<meta charset = "utf-8">
<meta http-equiv = "Content-Type" content = "text/html; charset = utf-8"/> 

<form name = "mostrGrupo" id = "mostrGrupo">
    <input name = "id_cta" id = "id_cta" type = "hidden" value = "<?= $id_cta?>">
    <input name = "idcliente_sms" id = "idcliente_sms" type = "hidden" value = "<?= $idcliente?>">
</form>


<div id = "accionesDiv">
    <div id = "accionesDivText" class = "accionesDivText"><?=$texto?></div>
    <div id = "accionesDiv2">
        <div id = "accionesDivBoton">
            <div id = "boton" class = "boton" onClick = "guardar('sms_crear_cliente.php','','modal','cargando')">Crear nuevo cliente</div>
        </div>
        <div id = "accionesDivBoton">
            <div id = "boton" class = "boton" onClick = "dato('sms_consul_cliente_pin1.php','divDer2','cargando','idcliente_sms','<?=$idcliente?>'); ocultar('#','modal')">Mostrar Pin SMS <?=$idcliente?></div>
        </div>
    </div>
</div>

